Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.results
Class DataSetResult

    java.lang.Object
      de.jstacs.AnnotatedEntity
          de.jstacs.results.Result
              de.jstacs.results.DataSetResult

All Implemented Interfaces:
  Storable

    public class DataSetResult

extends Result

`Result` that contains a `DataSet`. This `DataSet` e.g. may have been created by `StatisticalModel.emitDataSet(int, int...)`, or maybe a `DataSet` that has been annotated in a classification.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.AnnotatedEntity
`comment, datatype, name`

Constructor Summary
`DataSetResult(StringBuffer source)` The standard constructor for the interface `Storable`.
`DataSetResult(String name, String comment, DataSet data)` Creates a new `DataSetResult` from a `DataSet` with the annotation `name` and `comment`.

Method Summary
`protected void` | `appendFurtherInfos(StringBuffer buf)` This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).
`protected void` | `extractFurtherInfos(StringBuffer rep)` This method can be used in the constructor with parameter `StringBuffer` to extract the further information.
`SequenceAnnotationParser` | `getParser()` Returns the `SequenceAnnotationParser` that can be used to write this `DataSetResult` including annotations on the contained `Sequence`s to a file.
`DataSet` | `getValue()` Returns the value of the `AnnotatedEntity`.
`String` | `getXMLTag()` This method returns a tag used as outer tag of the XML description.
`void` | `setParser(SequenceAnnotationParser parser)` Sets the `SequenceAnnotationParser` that can be used to write this `DataSetResult` including annotations on the contained `Sequence`s to a file

Methods inherited from class de.jstacs.results.Result
`checkDatatype, createResult, isCastableResult, isComparableResult`

Methods inherited from class de.jstacs.AnnotatedEntity
`getComment, getDatatype, getName, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetResult

    public DataSetResult(String name,
                         String comment,
                         DataSet data)

  Creates a new `DataSetResult` from a `DataSet` with the annotation `name` and `comment`.

  Parameters:
    `name` - the name of the `Result`
    `comment` - the comment on the `Result`
    `data` - the `DataSet` that is the result of some computation

### DataSetResult

    public DataSetResult(StringBuffer source)
                  throws NonParsableException

  The standard constructor for the interface `Storable`. Recreates a `DataSetResult` from its XML representation as returned by `AnnotatedEntity.toXML()`.

  Parameters:
    `source` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML code could not be parsed

Method Detail

### extractFurtherInfos

    protected void extractFurtherInfos(StringBuffer rep)
                                throws NonParsableException

  Description copied from class: `AnnotatedEntity`
  This method can be used in the constructor with parameter `StringBuffer` to extract the further information.

  Specified by:
    `extractFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `rep` - a XML represenation of the main information as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `AnnotatedEntity.AnnotatedEntity(StringBuffer)`

### getValue

    public DataSet getValue()

  Description copied from class: `AnnotatedEntity`
  Returns the value of the `AnnotatedEntity`.

  Specified by:
    `getValue` in class `AnnotatedEntity`
  Returns:
    the value of the `AnnotatedEntity`

### appendFurtherInfos

    protected void appendFurtherInfos(StringBuffer buf)

  Description copied from class: `AnnotatedEntity`
  This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).

  Specified by:
    `appendFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `buf` - a XML representation of the main information as `StringBuffer`
  See Also:
    `Storable.toXML()`

### getXMLTag

    public String getXMLTag()

  Description copied from class: `AnnotatedEntity`
  This method returns a tag used as outer tag of the XML description.

  Specified by:
    `getXMLTag` in class `AnnotatedEntity`
  Returns:
    a tag used as outer tag of the XML description

### getParser

    public SequenceAnnotationParser getParser()

  Returns the `SequenceAnnotationParser` that can be used to write this `DataSetResult` including annotations on the contained `Sequence`s to a file.

  Returns:
    the `SequenceAnnotationParser`

### setParser

    public void setParser(SequenceAnnotationParser parser)

  Sets the `SequenceAnnotationParser` that can be used to write this `DataSetResult` including annotations on the contained `Sequence`s to a file

  Parameters:
    `parser` - the new `SequenceAnnotationParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD